package server;

import java.util.*;

public class Mailbox {
	Vector<String> messages = new Vector<String>(10);
	
	synchronized String getMessage() {
		String msg = null;
		try {
			while (this.messages.size() == 0){
				wait();
			}
			msg = messages.remove(0);
			notifyAll();
		} catch (Exception e) {
			e.printStackTrace();
		}
		return msg;
	}
	
	synchronized void addMessage(String message) {
		try {						
			while (this.messages.size() == 10) {
				wait();
			}
			messages.add(message);
			notifyAll();
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}
}
