package server;

import java.util.*;

public class OutputThread extends Thread {
	Vector<Participant> participants;
	Mailbox box;
		
	public OutputThread(Vector<Participant> participants, Mailbox box){
		this.participants = participants;
		this.box = box;
	}
	
	public void run() {
		while(true) {			
			try {
				String msg = box.getMessage();
				for(Participant p : participants) {
					p.getSocket().getOutputStream().write(msg.getBytes());
				}
			} catch (Exception e) {
				e.printStackTrace();				
			}	
		}
	}

}
